--
-- Table structure for table `Wishlist`
--

create table Wishlist (
	id bigint(20) primary key auto_increment,
	customerId bigint(20) not null unique references Customer.id,
	name varchar(50) not null,
	key (customerId)
);


--
-- Table structure for table `WishlistItem`
--

create table WishlistItem (
	id bigint(20) primary key auto_increment,
	wishlistId bigint(20) not null references Wishlist.id,
	productItemCode text not null,
	quantity int(11) not null,
	choices text not null,
	key (wishlistId)
);


--
-- Adds Button labels to ProductListTemplates table
--

ALTER TABLE ProductListTemplates ADD AddAllButton text;
ALTER TABLE ProductListTemplates ADD OrderButton text;
ALTER TABLE ProductListTemplates ADD AddItemButton text;
ALTER TABLE ProductListTemplates ADD UpdateItemButton text;
ALTER TABLE ProductListTemplates ADD AddToWishlistButton text;
ALTER TABLE ProductListTemplates ADD AddAllWishlistButton text;
ALTER TABLE ProductListTemplates ADD AddWishlistButtonURL text;

UPDATE ProductListTemplates SET AddToWishlistButton = 'Add', AddAllWishlistButton = 'Add all', AddWishlistButtonURL = '';

